Bug 23462 - Remove HAL dependency
Summary: Remove HAL dependency
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/Input/Core (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL: http://www.freedesktop.org/wiki/Softw...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-22 09:00 UTC by Javier Jardón
Modified: 2011-04-14 12:25 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Jardón 2009-08-22 09:00:50 UTC
HAL is in maintenance mode - no new features are added. All future development focuses on Software/DeviceKit-disks, Software/DeviceKit-power, NetworkManager, PulseAudio, udev, ...

See http://www.freedesktop.org/wiki/Software/hal for more info

X.org input device detection needs migration to libudev
Comment 1 Alan Coopersmith 2009-08-23 07:11:47 UTC
Xorg uses HAL on *BSD, Linux, Solaris, and OpenSolaris.
udev appears to be Linux only, so would not be a usable replacement.
Comment 2 Peter Hutterer 2009-08-23 17:20:57 UTC
For a future libudev migration, here are some questions and answers that may come up.

http://lists.freedesktop.org/archives/devkit-devel/2009-July/000392.html

Comment 3 Julien Cristau 2009-09-30 09:34:14 UTC
Patch sent to xorg-devel for comments,
http://thread.gmane.org/gmane.comp.freedesktop.xorg.devel/2108
Comment 4 Alan Coopersmith 2010-04-16 14:23:35 UTC
Since there is no suitable cross-platform replacement for HAL, we agreed
last year that we'd have to return to platform-specific code for replacing
HAL's functions, as described on http://www.x.org/wiki/XorgHAL

Xorg 1.8 includes the xorg.conf.d replacement for HAL .fdi configuration
for all platforms, and the udev implementation of the device discovery/
hotplug notification replacement for Linux platforms.

Other platforms still need to implement their platform-specific replacements
for the HAL device discovery & hotplug notification functionality.
Comment 5 Alan Coopersmith 2010-06-18 08:18:33 UTC
Removing from blocker list - the dependency is optional, and having it for
the platforms that haven't yet provided an alternative is not going to stop
the release.   We still need to work on it, and will probably remove the 
option someday, but not this release.
Comment 6 Daniel Stone 2011-04-14 12:25:25 UTC
I'm going to call this one as FIXED, since it only has an obvious replacement on Linux (TTBOMK), where we preferentially use udev anyway.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.